{ "error": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "message": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "validation": { "failures": [ { "biomarker_ids": [45], "fix_options": [ { "add_biomarkers": [ { "id": 43, "name": "LDL Cholesterol" }, { "id": 42, "name": "HDL Cholesterol" } ] } ] } ] }}
{ "error": "biomarker_not_priced", "message": "Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.", "biomarker_id": 1465}
{ "error": "biomarker_requires_position", "message": "Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \"Blood Count (extended)\".", "biomarker_id": 77, "positions": [ { "id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b", "name": "Blood Count (extended)", "price_cents": 460, "retail_cents": 529 } ]}
{ "error": "Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them."}
{ "error": "Individual biomarkers cannot be modified after blood draw has been confirmed"}
{ "error": "Biomarkers not found: 99999"}
Voeg een of meer individuele biomarkers toe aan een afspraak als à-la-cartetests, buiten een
vooraf samengesteld panel. Routeringsbeslissingen worden verderop genomen door de bestellogistiek-pipeline op basis
van de mappings per lab van elke biomarker.De resulterende set wordt synchroon gevalideerd aan de hand van de closure-regels van elk lab. Sommige biomarkers
kun je alleen verkrijgen door ze samen met andere te bestellen — een LDL/HDL-ratio wordt bijvoorbeeld
geleverd door een bestelling die ook LDL en HDL oplevert, dus alleen de ratio aanvragen is geen
coherente bestelling. (Op basis van diezelfde componenten wordt ook de prijs van de ratio berekend — zie het pricing-
overzicht bij Biomarkers weergeven.) Als de set niet correct kan worden
besteld, geeft de aanroep 400 terug met een validation-payload en wordt er niets opgeslagen, zodat je
proefondervindelijk tot een geldige set kunt komen:
Dezelfde lus geldt voor biomarkers die Aniva alleen binnen een positie verkoopt: vraag je er een los aan, dan geeft de aanroep
400 terug met error: "biomarker_requires_position" en de posities die deze verkopen. Zie
Prijzen.Biomarkers weergeven vermeldt sommige biomarkers als price_cents: null.
Deze biomarkers zijn niet gecureerd: Aniva heeft er geen prijs voor vastgesteld. Als je er een toevoegt, geeft de aanroep
400 terug met error: "biomarker_not_priced". Geen enkele andere biomarker lost deze fout op, omdat null
betekent dat je geen prijs hebt om de marker voor af te nemen. Kitmarkers zijn de uitzondering. Koppel het panel
dat de kit is, en de bijbehorende markers komen mee met het panel. De aanroep accepteert ook een bijbehorende marker die je toevoegt aan
een afspraak die dat panel al bevat.Bij een capillaire bloedafname (draw_method: capillary) wordt de bloedafname verdeeld over microtainers. Panels gaan eerst, in
volgorde van boeking. Individuele biomarkers vullen daarna de vrije ruimte in de microtainers van de panels. Als ze
meer ruimte nodig hebben, openen ze nieuwe microtainers. We verdelen ze gelijkmatig. Elke microtainer bevat maximaal
150 µl aan individuele biomarkers. Een biomarker die in een eigen microtainer meer dan 150 µl nodig heeft, past
nooit, en een biomarker zonder gecureerd volume ook niet. Als de resulterende set deze regel overtreedt,
geeft de aanroep 400 terug met een error-melding en wordt er niets opgeslagen.Deze aanroep is idempotent: biomarkers die al bij de afspraak staan, blijven behouden.Vereist de scopes appointments_schedule en schedule_appointments_with_individual_biomarker_selection.
Biomarkers kunnen niet worden toegevoegd nadat je Bloedafname
bevestigen hebt aangeroepen. Een poging om een bevestigde afspraak te wijzigen geeft
409 Conflict terug.
Verzoek
Padparameters
string
vereist
Unieke identifier (UUID) van de afspraak.
Bodyparameters
number[]
vereist
Array van biomarker-ID’s om te koppelen. Moet ten minste één item bevatten. Gebruik Biomarkers
weergeven om ID’s te vinden.
Respons
Bij succes geeft de API 200 OK terug als bevestiging dat de biomarkers zijn gekoppeld.
boolean
true wanneer de biomarkers met succes aan de afspraak zijn toegevoegd.
Een 400 lezen
Elke 400 voor closure-validatie of catalogus bevat een zin in message. Een 400 voor bodyvalidatie of
microtainers bevat alleen error. Vertak op error. Bij een
fout in de closure-validatie is error een zin. Bij een catalogusfout is error een machinecode:
biomarker_not_priced of biomarker_requires_position.Closure-validatie — de set kan bij geen enkel lab correct worden besteld:
validation.failures[] — alleen aanwezig bij fouten in de closure-validatie (ontbreekt bij gewone
bodyvalidatiefouten). Eén item per biomarkergroep die geen enkel lab kan leveren, met de
biomarker_ids die mislukten en fix_options[], met de kleinste optie eerst. De
add_biomarkers ({ id, name }) van elke optie is een set die je VOLLEDIG toevoegt — behoud je oorspronkelijke selectie, voeg deze toe en
probeer het opnieuw. Een lege fix_options betekent dat iets toevoegen niet helpt; verwijder in plaats daarvan de biomarker.
Biomarker zonder prijs — Aniva heeft geen prijs vastgesteld voor deze biomarker. Biomarkers
weergeven vermeldt deze als price_cents: null, of laat deze weg als het
een ratio is met een component zonder prijs. error is biomarker_not_priced en biomarker_id noemt
de marker. Geen enkele andere biomarker lost deze fout op, dus verwijder de biomarker. Twee voorwaarden maken een
biomarker bestelbaar: een lab waarnaar Aniva kan routeren moet deze leveren en de Aniva-catalogus moet er een prijs voor
bevatten.Afgeschermde biomarker — een biomarker die alleen binnen een positie wordt verkocht, zonder dekkende positie in de
set. error is biomarker_requires_position, biomarker_id noemt de marker en positions[]
vermeldt elke positie die deze verkoopt, goedkoopste eerst. Voeg elke biomarker van een daarvan toe. Zie
Prijzen voor het model en pricing.positions bij Biomarker
ophalen voor de volledige set markers van een positie.
Foutresponsen
Status
Beschrijving
400
biomarker_ids is leeg of bevat geen gehele getallen, de set faalt voor de closure-validatie (validation.failures), voegt een biomarker toe waarvoor Aniva geen prijs heeft vastgesteld (error: "biomarker_not_priced"), bevat een afgeschermde biomarker die door geen enkele positie in de set wordt gedekt (error: "biomarker_requires_position"), of bij een capillaire bloedafname passen de biomarkers niet in hun microtainers.
403
Forbidden — ontbrekende scope of afspraak buiten de toegangscontext.
404
Afspraak of een of meer biomarkers niet gevonden.
409
Conflict — biomarkers kunnen niet worden gewijzigd nadat de bloedafname is bevestigd.
{ "error": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "message": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "validation": { "failures": [ { "biomarker_ids": [45], "fix_options": [ { "add_biomarkers": [ { "id": 43, "name": "LDL Cholesterol" }, { "id": 42, "name": "HDL Cholesterol" } ] } ] } ] }}
{ "error": "biomarker_not_priced", "message": "Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.", "biomarker_id": 1465}
{ "error": "biomarker_requires_position", "message": "Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \"Blood Count (extended)\".", "biomarker_id": 77, "positions": [ { "id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b", "name": "Blood Count (extended)", "price_cents": 460, "retail_cents": 529 } ]}
{ "error": "Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them."}
{ "error": "Individual biomarkers cannot be modified after blood draw has been confirmed"}
{ "error": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "message": "LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).", "validation": { "failures": [ { "biomarker_ids": [45], "fix_options": [ { "add_biomarkers": [ { "id": 43, "name": "LDL Cholesterol" }, { "id": 42, "name": "HDL Cholesterol" } ] } ] } ] }}
{ "error": "biomarker_not_priced", "message": "Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.", "biomarker_id": 1465}
{ "error": "biomarker_requires_position", "message": "Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \"Blood Count (extended)\".", "biomarker_id": 77, "positions": [ { "id": "3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b", "name": "Blood Count (extended)", "price_cents": 460, "retail_cents": 529 } ]}
{ "error": "Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them."}
{ "error": "Individual biomarkers cannot be modified after blood draw has been confirmed"}
{ "error": "Biomarkers not found: 99999"}
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Aniva API","description":"REST API for lab testing in Germany and the EU: book blood draws at pharmacies and practices, ship home test kits, and get lab results.","colors":{"primary":"#e76c2b","light":"#e76c2b","dark":"#e76c2b"},"logo":{"light":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.svg?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=07e4ee4fd57b9ccbe6809fe000f33fdd","dark":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.svg?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=07e4ee4fd57b9ccbe6809fe000f33fdd"},"favicon":{"light":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.png?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=37c01b349855726e2009a8d5aca4487b","dark":"https://mintcdn.com/anivahealth/3R-RUSdQmYnR_d5s/images/aniva.png?fit=max\u0026auto=format\u0026n=3R-RUSdQmYnR_d5s\u0026q=85\u0026s=37c01b349855726e2009a8d5aca4487b"},"api":{"openapi":"https://anivahealth.com/api/v1/openapi.json","mdx":{"auth":{"method":"key","name":"x-api-key"}}},"navbar":{"links":[{"href":"/changelog","label":"Changelog"},{"href":"/status","label":"Status"}]},"footer":{"links":[{"items":[{"label":"Aniva Diagnostics","href":"https://anivahealth.com/diagnostics"},{"label":"hello@anivahealth.com","href":"mailto:hello@anivahealth.com"}]}]},"seo":{"metatags":{"og:locale":"en_US","og:site_name":"Aniva Partner API","keywords":"blood test API, lab testing API, home test kit API, lab results API, biomarker API, pharmacy blood test, Germany, EU"},"indexing":"navigable"},"fonts":{"heading":{"family":"Switzer","weight":600,"source":"https://anivahealth.com/fonts/Switzer-Variable.woff2","format":"woff2"},"body":{"family":"Switzer","source":"https://anivahealth.com/fonts/Switzer-Variable.woff2","format":"woff2"}},"styling":{"latex":false},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"navigation":{"languages":[{"language":"en","href":""},{"language":"de","navbar":{"links":[{"href":"/de/changelog","label":"Changelog"},{"href":"/de/status","label":"Status"}]},"href":"de"},{"language":"ca","navbar":{"links":[{"href":"/ca/changelog","label":"Registre de canvis"},{"href":"/ca/status","label":"Estat"}]},"href":"ca"},{"language":"cs","navbar":{"links":[{"href":"/cs/changelog","label":"Seznam změn"},{"href":"/cs/status","label":"Stav"}]},"href":"cs"},{"language":"da","navbar":{"links":[{"href":"/da/changelog","label":"Ændringslog"},{"href":"/da/status","label":"Status"}]},"href":"da"},{"language":"es","navbar":{"links":[{"href":"/es/changelog","label":"Registro de cambios"},{"href":"/es/status","label":"Estado"}]},"href":"es"},{"language":"fi","navbar":{"links":[{"href":"/fi/changelog","label":"Muutosloki"},{"href":"/fi/status","label":"Tila"}]},"href":"fi"},{"language":"fr","navbar":{"links":[{"href":"/fr/changelog","label":"Journal des modifications"},{"href":"/fr/status","label":"Statut"}]},"href":"fr"},{"language":"hu","navbar":{"links":[{"href":"/hu/changelog","label":"Változásnapló"},{"href":"/hu/status","label":"Állapot"}]},"href":"hu"},{"language":"it","navbar":{"links":[{"href":"/it/changelog","label":"Changelog"},{"href":"/it/status","label":"Stato"}]},"href":"it"},{"language":"lv","navbar":{"links":[{"href":"/lv/changelog","label":"Izmaiņu žurnāls"},{"href":"/lv/status","label":"Statuss"}]},"href":"lv"},{"language":"nl","navbar":{"links":[{"href":"/nl/changelog","label":"Changelog"},{"href":"/nl/status","label":"Status"}]},"href":"nl"},{"language":"no","navbar":{"links":[{"href":"/no/changelog","label":"Endringslogg"},{"href":"/no/status","label":"Status"}]},"href":"no"},{"language":"pl","navbar":{"links":[{"href":"/pl/changelog","label":"Dziennik zmian"},{"href":"/pl/status","label":"Status"}]},"href":"pl"},{"language":"pt","navbar":{"links":[{"href":"/pt/changelog","label":"Registo de alterações"},{"href":"/pt/status","label":"Estado"}]},"href":"pt"},{"language":"ro","navbar":{"links":[{"href":"/ro/changelog","label":"Jurnal de modificări"},{"href":"/ro/status","label":"Stare"}]},"href":"ro"},{"language":"ru","navbar":{"links":[{"href":"/ru/changelog","label":"История изменений"},{"href":"/ru/status","label":"Статус"}]},"href":"ru"},{"language":"sv","navbar":{"links":[{"href":"/sv/changelog","label":"Ändringslogg"},{"href":"/sv/status","label":"Status"}]},"href":"sv"},{"language":"tr","navbar":{"links":[{"href":"/tr/changelog","label":"Değişiklik günlüğü"},{"href":"/tr/status","label":"Durum"}]},"href":"tr"},{"language":"uk","navbar":{"links":[{"href":"/uk/changelog","label":"Історія змін"},{"href":"/uk/status","label":"Статус"}]},"href":"uk"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"anivahealth","hasAudioNarration":false,"actualSubdomain":"anivahealth","customDomains":["docs.anivahealth.com"],"gitSource":{"type":"github","owner":"anivahealth","repo":"web","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6b0344de3ca2a55c0067aa73","clientVersion":"0.0.4271","searchFilterCounts":[{"language":"en","tag":"API Reference","count":61},{"language":"ca","tag":"Referència de l'API","count":61},{"language":"cs","tag":"Reference API","count":61},{"language":"da","tag":"API-reference","count":61},{"language":"de","tag":"API-Referenz","count":61},{"language":"es","tag":"Referencia de la API","count":61},{"language":"fi","tag":"API-viite","count":61},{"language":"fr","tag":"Référence API","count":61},{"language":"hu","tag":"API-referencia","count":61},{"language":"it","tag":"Riferimento API","count":61},{"language":"lv","tag":"API uzziņa","count":61},{"language":"nl","tag":"API-referentie","count":61},{"language":"no","tag":"API-referanse","count":61},{"language":"pl","tag":"Dokumentacja API","count":61},{"language":"pt","tag":"Referência da API","count":61},{"language":"ro","tag":"Referință API","count":61},{"language":"ru","tag":"Справочник API","count":61},{"language":"sv","tag":"API-referens","count":61},{"language":"tr","tag":"API referansı","count":61},{"language":"uk","tag":"Довідник API","count":61},{"language":"en","tag":"Documentation","count":18},{"language":"ca","tag":"Documentació","count":18},{"language":"cs","tag":"Dokumentace","count":18},{"language":"da","tag":"Dokumentation","count":18},{"language":"de","tag":"Dokumentation","count":18},{"language":"es","tag":"Documentación","count":18},{"language":"fi","tag":"Dokumentaatio","count":18},{"language":"fr","tag":"Documentation","count":18},{"language":"hu","tag":"Dokumentáció","count":18},{"language":"it","tag":"Documentazione","count":18},{"language":"lv","tag":"Dokumentācija","count":18},{"language":"nl","tag":"Documentatie","count":18},{"language":"no","tag":"Dokumentasjon","count":18},{"language":"pl","tag":"Dokumentacja","count":18},{"language":"pt","tag":"Documentação","count":18},{"language":"ro","tag":"Documentație","count":18},{"language":"ru","tag":"Документация","count":18},{"language":"sv","tag":"Dokumentation","count":18},{"language":"tr","tag":"Dokümantasyon","count":18},{"language":"uk","tag":"Документація","count":18},{"language":"en","tag":"Appointments","count":13},{"language":"ca","tag":"Cites","count":13},{"language":"cs","tag":"Termíny","count":13},{"language":"da","tag":"Tider","count":13},{"language":"de","tag":"Termine","count":13},{"language":"es","tag":"Citas","count":13},{"language":"fi","tag":"Ajanvaraukset","count":13},{"language":"fr","tag":"Rendez-vous","count":13},{"language":"hu","tag":"Időpontok","count":13},{"language":"it","tag":"Appuntamenti","count":13},{"language":"lv","tag":"Pieraksti","count":13},{"language":"nl","tag":"Afspraken","count":13},{"language":"no","tag":"Timer","count":13},{"language":"pl","tag":"Wizyty","count":13},{"language":"pt","tag":"Marcações","count":13},{"language":"ro","tag":"Programări","count":13},{"language":"ru","tag":"Записи","count":13},{"language":"sv","tag":"Bokningar","count":13},{"language":"tr","tag":"Randevular","count":13},{"language":"uk","tag":"Записи","count":13},{"language":"en","tag":"Home Kit Orders","count":10},{"language":"ca","tag":"Comandes de kits de prova a casa","count":10},{"language":"cs","tag":"Objednávky domácích testovacích sad","count":10},{"language":"da","tag":"Ordrer på hjemmetestkit","count":10},{"language":"de","tag":"Heimtest-Kit-Bestellungen","count":10},{"language":"es","tag":"Pedidos de kits de prueba en casa","count":10},{"language":"fi","tag":"Kotitestipakkausten tilaukset","count":10},{"language":"fr","tag":"Commandes de kits à domicile","count":10},{"language":"hu","tag":"Otthoni tesztkészlet-rendelések","count":10},{"language":"it","tag":"Ordini di kit domiciliari","count":10},{"language":"lv","tag":"Mājas testa komplektu pasūtījumi","count":10},{"language":"nl","tag":"Thuistestkitbestellingen","count":10},{"language":"no","tag":"Bestillinger av hjemmetestsett","count":10},{"language":"pl","tag":"Zamówienia domowych zestawów testowych","count":10},{"language":"pt","tag":"Encomendas de kits de teste em casa","count":10},{"language":"ro","tag":"Comenzi de kituri de testare la domiciliu","count":10},{"language":"ru","tag":"Заказы наборов для домашнего теста","count":10},{"language":"sv","tag":"Beställningar av hemtestkit","count":10},{"language":"tr","tag":"Evde test kiti siparişleri","count":10},{"language":"uk","tag":"Замовлення наборів для домашнього тесту","count":10},{"language":"en","tag":"Webhooks","count":9},{"language":"en","tag":"Core Concepts","count":9},{"language":"ca","tag":"Webhooks","count":9},{"language":"ca","tag":"Conceptes clau","count":9},{"language":"cs","tag":"Webhooky","count":9},{"language":"cs","tag":"Základní koncepty","count":9},{"language":"da","tag":"Webhooks","count":9},{"language":"da","tag":"Kernebegreber","count":9},{"language":"de","tag":"Webhooks","count":9},{"language":"de","tag":"Grundkonzepte","count":9},{"language":"es","tag":"Webhooks","count":9},{"language":"es","tag":"Conceptos clave","count":9},{"language":"fi","tag":"Webhookit","count":9},{"language":"fi","tag":"Peruskäsitteet","count":9},{"language":"fr","tag":"Webhooks","count":9},{"language":"fr","tag":"Concepts clés","count":9},{"language":"hu","tag":"Webhookok","count":9},{"language":"hu","tag":"Alapfogalmak","count":9},{"language":"it","tag":"Webhook","count":9},{"language":"it","tag":"Concetti di base","count":9},{"language":"lv","tag":"Tīmekļa aizķeres","count":9},{"language":"lv","tag":"Pamatjēdzieni","count":9},{"language":"nl","tag":"Webhooks","count":9},{"language":"nl","tag":"Kernconcepten","count":9},{"language":"no","tag":"Webhooks","count":9},{"language":"no","tag":"Kjernekonsepter","count":9},{"language":"pl","tag":"Webhooki","count":9},{"language":"pl","tag":"Podstawowe pojęcia","count":9},{"language":"pt","tag":"Webhooks","count":9},{"language":"pt","tag":"Conceitos principais","count":9},{"language":"ro","tag":"Webhook-uri","count":9},{"language":"ro","tag":"Concepte de bază","count":9},{"language":"ru","tag":"Вебхуки","count":9},{"language":"ru","tag":"Основные понятия","count":9},{"language":"sv","tag":"Webhooks","count":9},{"language":"sv","tag":"Grundkoncept","count":9},{"language":"tr","tag":"Webhook'lar","count":9},{"language":"tr","tag":"Temel kavramlar","count":9},{"language":"uk","tag":"Вебхуки","count":9},{"language":"uk","tag":"Основні поняття","count":9},{"language":"en","tag":"Shipments","count":8},{"language":"ca","tag":"Enviaments","count":8},{"language":"cs","tag":"Zásilky","count":8},{"language":"da","tag":"Forsendelser","count":8},{"language":"de","tag":"Sendungen","count":8},{"language":"es","tag":"Envíos","count":8},{"language":"fi","tag":"Lähetykset","count":8},{"language":"fr","tag":"Expéditions","count":8},{"language":"hu","tag":"Szállítmányok","count":8},{"language":"it","tag":"Spedizioni","count":8},{"language":"lv","tag":"Sūtījumi","count":8},{"language":"nl","tag":"Zendingen","count":8},{"language":"no","tag":"Forsendelser","count":8},{"language":"pl","tag":"Przesyłki","count":8},{"language":"pt","tag":"Envios","count":8},{"language":"ro","tag":"Expedieri","count":8},{"language":"ru","tag":"Отправления","count":8},{"language":"sv","tag":"Försändelser","count":8},{"language":"tr","tag":"Gönderiler","count":8},{"language":"uk","tag":"Відправлення","count":8},{"language":"en","tag":"Get Started","count":6},{"language":"ca","tag":"Primers passos","count":6},{"language":"cs","tag":"Začínáme","count":6},{"language":"da","tag":"Kom i gang","count":6},{"language":"de","tag":"Erste Schritte","count":6},{"language":"es","tag":"Primeros pasos","count":6},{"language":"fi","tag":"Aloitus","count":6},{"language":"fr","tag":"Démarrer","count":6},{"language":"hu","tag":"Első lépések","count":6},{"language":"it","tag":"Per iniziare","count":6},{"language":"lv","tag":"Sākt darbu","count":6},{"language":"nl","tag":"Aan de slag","count":6},{"language":"no","tag":"Kom i gang","count":6},{"language":"pl","tag":"Pierwsze kroki","count":6},{"language":"pt","tag":"Começar","count":6},{"language":"ro","tag":"Primii pași","count":6},{"language":"ru","tag":"Начало работы","count":6},{"language":"sv","tag":"Kom igång","count":6},{"language":"tr","tag":"Başlangıç","count":6},{"language":"uk","tag":"Початок роботи","count":6},{"language":"en","tag":"Locations","count":5},{"language":"en","tag":"Profiles","count":5},{"language":"ca","tag":"Ubicacions","count":5},{"language":"ca","tag":"Perfils","count":5},{"language":"cs","tag":"Lokality","count":5},{"language":"cs","tag":"Profily","count":5},{"language":"da","tag":"Lokationer","count":5},{"language":"da","tag":"Profiler","count":5},{"language":"de","tag":"Standorte","count":5},{"language":"de","tag":"Profile","count":5},{"language":"es","tag":"Ubicaciones","count":5},{"language":"es","tag":"Perfiles","count":5},{"language":"fi","tag":"Toimipisteet","count":5},{"language":"fi","tag":"Profiilit","count":5},{"language":"fr","tag":"Lieux","count":5},{"language":"fr","tag":"Profils","count":5},{"language":"hu","tag":"Helyszínek","count":5},{"language":"hu","tag":"Profilok","count":5},{"language":"it","tag":"Sedi","count":5},{"language":"it","tag":"Profili","count":5},{"language":"lv","tag":"Atrašanās vietas","count":5},{"language":"lv","tag":"Profili","count":5},{"language":"nl","tag":"Locaties","count":5},{"language":"nl","tag":"Profielen","count":5},{"language":"no","tag":"Steder","count":5},{"language":"no","tag":"Profiler","count":5},{"language":"pl","tag":"Lokalizacje","count":5},{"language":"pl","tag":"Profile","count":5},{"language":"pt","tag":"Locais","count":5},{"language":"pt","tag":"Perfis","count":5},{"language":"ro","tag":"Locații","count":5},{"language":"ro","tag":"Profiluri","count":5},{"language":"ru","tag":"Локации","count":5},{"language":"ru","tag":"Профили","count":5},{"language":"sv","tag":"Platser","count":5},{"language":"sv","tag":"Profiler","count":5},{"language":"tr","tag":"Konumlar","count":5},{"language":"tr","tag":"Profiller","count":5},{"language":"uk","tag":"Локації","count":5},{"language":"uk","tag":"Профілі","count":5}],"searchSettings":{"showContentSnippets":true,"maxResults":8}},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"[data-component-part=\"update-label\"]{background:transparent;color:rgb(107 114 128);padding-left:0.25rem;padding-right:0;font-weight:400}.dark [data-component-part=\"update-label\"]{color:rgb(156 163 175)}[data-component-part=\"update-tag-list\"]{margin-top:0.25rem;column-gap:0.25rem}[data-component-part=\"update-tag\"]:not(:last-child)::after{content:'·';margin-left:0.25rem}@media (max-width: 1023px){.update-container>div:first-child{flex-direction:row;flex-wrap:wrap;align-items:center;column-gap:0.75rem}.update-container [data-component-part=\"update-tag-list\"]{margin-top:0}}@media (min-width: 640px){[data-component-part=\"update-content\"] img{max-width:85%}}[data-component-part=\"update-content\"] video{cursor:zoom-in}.video-zoom{position:fixed;inset:0;z-index:100;display:flex;align-items:center;justify-content:center;padding:2rem;background:rgb(255 255 255 / 0.9);cursor:zoom-out}.dark .video-zoom{background:rgb(0 0 0 / 0.9)}.video-zoom video{width:100%;max-height:100%;object-fit:contain}.video-zoom-close{position:absolute;top:calc(0.75rem + env(safe-area-inset-top, 0px));right:0.75rem;display:inline-flex;align-items:center;justify-content:center;width:2.25rem;height:2.25rem;border:1px solid rgb(0 0 0 / 0.2);border-radius:9999px;background:rgb(255 255 255 / 0.55);color:rgb(23 23 23);box-shadow:0 0.5px 1px rgb(0 0 0 / 0.12),\n 0 1px 2px rgb(0 0 0 / 0.08),\n inset 0 0.5px 0 rgb(255 255 255 / 0.65);backdrop-filter:blur(40px) saturate(1.5);cursor:pointer}.video-zoom-close:focus{outline:none}.video-zoom-close:focus-visible{outline:2px solid rgb(0 0 0 / 0.25)}.dark .video-zoom-close{border-color:rgb(255 255 255 / 0.25);background:rgb(23 23 23 / 0.45);color:white;box-shadow:0 0 0 0.5px #000,\n 0 0.5px 1px rgb(0 0 0 / 0.45),\n 0 1px 2px rgb(0 0 0 / 0.35),\n inset 0 0.5px 0 rgb(255 255 255 / 0.14)}[data-component-part=\"update-content\"] h2>.absolute{display:none}#content{margin-bottom:2rem}[data-assistant-bar].invisible{display:none}#footer>div{flex-direction:row;flex-wrap:wrap;align-items:center;gap:1rem 2rem;padding-top:5rem;padding-bottom:3rem}#footer>div>div:first-child{flex:1;flex-direction:row;align-items:center;min-height:0}#footer>div>div:first-child>div:last-child{display:flex;justify-content:flex-end}#footer>div>div:first-child>div:last-child>div{align-items:flex-end}#footer>div>div:first-child>div:last-child>div>div{flex-direction:row;gap:1.5rem}#footer>div>div:first-child a{max-width:none}#footer>div>.h-px{display:none}#footer>div>div:last-child{gap:1.5rem}"}]}
{"page":{"pagePath":"nl/api/appointments/add-individual-biomarkers","slug":"/nl/api/appointments/add-individual-biomarkers","pageMetadata":{"title":"Individuele biomarkers toevoegen","description":"Voeg individuele biomarkers toe aan een afspraak","api":"PATCH https://anivahealth.com/api/v1/appointments/{id}/biomarkers","href":"/nl/api/appointments/add-individual-biomarkers"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Voeg individuele biomarkers toe aan een afspraak\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,ol:`ol`,p:`p`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{Heading,ParamField,ResponseField,Table,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Voeg een of meer individuele biomarkers toe aan een afspraak als à-la-cartetests, buiten een\nvooraf samengesteld panel. Routeringsbeslissingen worden verderop genomen door de bestellogistiek-pipeline op basis\nvan de mappings per lab van elke biomarker.`}),`\n`,_jsxs(_components.p,{children:[`De resulterende set wordt synchroon gevalideerd aan de hand van de closure-regels van elk lab. Sommige biomarkers\nkun je alleen verkrijgen door ze samen met andere te bestellen — een LDL/HDL-ratio wordt bijvoorbeeld\ngeleverd door een bestelling die ook LDL en HDL oplevert, dus alleen de ratio aanvragen is geen\ncoherente bestelling. (Op basis van diezelfde componenten wordt ook de `,_jsx(_components.em,{children:`prijs`}),` van de ratio berekend — zie het `,_jsx(_components.code,{children:`pricing`}),`-\noverzicht bij `,_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers weergeven`}),`.) Als de set niet correct kan worden\nbesteld, geeft de aanroep `,_jsx(_components.code,{children:`400`}),` terug met een `,_jsx(_components.code,{children:`validation`}),`-payload en `,_jsx(_components.strong,{children:`wordt er niets opgeslagen`}),`, zodat je\nproefondervindelijk tot een geldige set kunt komen:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45] }`}),` (alleen LDL/HDL-ratio) → `,_jsx(_components.code,{children:`400`}),`;\n`,_jsx(_components.code,{children:`validation.failures[].fix_options[].add_biomarkers`}),` vermeldt LDL en HDL.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45, 43, 42] }`}),` (ratio + LDL + HDL) → `,_jsx(_components.code,{children:`200`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Dezelfde lus geldt voor biomarkers die Aniva alleen binnen een positie verkoopt: vraag je er een los aan, dan geeft de aanroep\n`,_jsx(_components.code,{children:`400`}),` terug met `,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),` en de posities die deze verkopen. Zie\n`,_jsx(_components.a,{href:`/nl/concepts/pricing`,children:`Prijzen`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers weergeven`}),` vermeldt sommige biomarkers als `,_jsx(_components.code,{children:`price_cents: null`}),`.\nDeze biomarkers zijn `,_jsx(_components.strong,{children:`niet gecureerd`}),`: Aniva heeft er geen prijs voor vastgesteld. Als je er een toevoegt, geeft de aanroep\n`,_jsx(_components.code,{children:`400`}),` terug met `,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`. Geen enkele andere biomarker lost deze fout op, omdat `,_jsx(_components.code,{children:`null`}),`\nbetekent dat je geen prijs hebt om de marker voor af te nemen. Kitmarkers zijn de uitzondering. Koppel het panel\ndat de kit is, en de bijbehorende markers komen mee met het panel. De aanroep accepteert ook een bijbehorende marker die je toevoegt aan\neen afspraak die dat panel al bevat.`]}),`\n`,_jsxs(_components.p,{children:[`Bij een capillaire bloedafname (`,_jsx(_components.code,{children:`draw_method: capillary`}),`) wordt de bloedafname verdeeld over microtainers. Panels gaan eerst, in\nvolgorde van boeking. Individuele biomarkers vullen daarna de vrije ruimte in de microtainers van de panels. Als ze\nmeer ruimte nodig hebben, openen ze nieuwe microtainers. We verdelen ze gelijkmatig. Elke microtainer bevat maximaal\n150 µl aan individuele biomarkers. Een biomarker die in een eigen microtainer meer dan 150 µl nodig heeft, past\nnooit, en een biomarker zonder gecureerd volume ook niet. Als de resulterende set deze regel overtreedt,\ngeeft de aanroep `,_jsx(_components.code,{children:`400`}),` terug met een `,_jsx(_components.code,{children:`error`}),`-melding en wordt er niets opgeslagen.`]}),`\n`,_jsx(_components.p,{children:`Deze aanroep is idempotent: biomarkers die al bij de afspraak staan, blijven behouden.`}),`\n`,_jsxs(_components.p,{children:[`Vereist de scopes `,_jsx(_components.code,{children:`appointments_schedule`}),` en `,_jsx(_components.code,{children:`schedule_appointments_with_individual_biomarker_selection`}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Biomarkers kunnen niet worden toegevoegd nadat je `,_jsx(_components.a,{href:`/nl/api/appointments/confirm-blood-draw`,children:`Bloedafname\nbevestigen`}),` hebt aangeroepen. Een poging om een bevestigde afspraak te wijzigen geeft\n`,_jsx(_components.code,{children:`409 Conflict`}),` terug.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`verzoek`,children:`Verzoek`}),`\n`,_jsx(Heading,{level:`3`,id:`padparameters`,children:`Padparameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Unieke identifier (UUID) van de afspraak.`})}),`\n`,_jsx(Heading,{level:`3`,id:`bodyparameters`,children:`Bodyparameters`}),`\n`,_jsx(ParamField,{body:`biomarker_ids`,type:`number[]`,required:true,id:`param-biomarker-ids`,children:_jsxs(_components.p,{children:[`Array van biomarker-ID’s om te koppelen. Moet ten minste één item bevatten. Gebruik `,_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers\nweergeven`}),` om ID’s te vinden.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`respons`,children:`Respons`}),`\n`,_jsxs(_components.p,{children:[`Bij succes geeft de API `,_jsx(_components.code,{children:`200 OK`}),` terug als bevestiging dat de biomarkers zijn gekoppeld.`]}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` wanneer de biomarkers met succes aan de afspraak zijn toegevoegd.`]})}),`\n`,_jsxs(Heading,{level:`3`,id:`een-400-lezen`,children:[`Een `,_jsx(_components.code,{children:`400`}),` lezen`]}),`\n`,_jsxs(_components.p,{children:[`Elke `,_jsx(_components.code,{children:`400`}),` voor closure-validatie of catalogus bevat een zin in `,_jsx(_components.code,{children:`message`}),`. Een `,_jsx(_components.code,{children:`400`}),` voor bodyvalidatie of\nmicrotainers bevat alleen `,_jsx(_components.code,{children:`error`}),`. Vertak op `,_jsx(_components.code,{children:`error`}),`. Bij een\nfout in de closure-validatie is `,_jsx(_components.code,{children:`error`}),` een zin. Bij een catalogusfout is `,_jsx(_components.code,{children:`error`}),` een machinecode:\n`,_jsx(_components.code,{children:`biomarker_not_priced`}),` of `,_jsx(_components.code,{children:`biomarker_requires_position`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Closure-validatie`}),` — de set kan bij geen enkel lab correct worden besteld:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`validation.failures[]`}),` — alleen aanwezig bij fouten in de closure-validatie (ontbreekt bij gewone\nbodyvalidatiefouten). Eén item per biomarkergroep die geen enkel lab kan leveren, met de\n`,_jsx(_components.code,{children:`biomarker_ids`}),` die mislukten en `,_jsx(_components.code,{children:`fix_options[]`}),`, met de kleinste optie eerst. De\n`,_jsx(_components.code,{children:`add_biomarkers`}),` (`,_jsx(_components.code,{children:`{ id, name }`}),`) van elke optie is een set die je VOLLEDIG toevoegt — behoud je oorspronkelijke selectie, voeg deze toe en\nprobeer het opnieuw. Een lege `,_jsx(_components.code,{children:`fix_options`}),` betekent dat iets toevoegen niet helpt; verwijder in plaats daarvan de biomarker.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Biomarker zonder prijs`}),` — Aniva heeft geen prijs vastgesteld voor deze biomarker. `,_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers\nweergeven`}),` vermeldt deze als `,_jsx(_components.code,{children:`price_cents: null`}),`, of laat deze weg als het\neen ratio is met een component zonder prijs. `,_jsx(_components.code,{children:`error`}),` is `,_jsx(_components.code,{children:`biomarker_not_priced`}),` en `,_jsx(_components.code,{children:`biomarker_id`}),` noemt\nde marker. Geen enkele andere biomarker lost deze fout op, dus verwijder de biomarker. Twee voorwaarden maken een\nbiomarker bestelbaar: een lab waarnaar Aniva kan routeren moet deze leveren `,_jsx(_components.strong,{children:`en`}),` de Aniva-catalogus moet er een prijs voor\nbevatten.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Afgeschermde biomarker`}),` — een biomarker die alleen binnen een positie wordt verkocht, zonder dekkende positie in de\nset. `,_jsx(_components.code,{children:`error`}),` is `,_jsx(_components.code,{children:`biomarker_requires_position`}),`, `,_jsx(_components.code,{children:`biomarker_id`}),` noemt de marker en `,_jsx(_components.code,{children:`positions[]`}),`\nvermeldt elke positie die deze verkoopt, goedkoopste eerst. Voeg elke biomarker van een daarvan toe. Zie\n`,_jsx(_components.a,{href:`/nl/concepts/pricing`,children:`Prijzen`}),` voor het model en `,_jsx(_components.code,{children:`pricing.positions`}),` bij `,_jsx(_components.a,{href:`/nl/api/biomarkers/get-biomarker`,children:`Biomarker\nophalen`}),` voor de volledige set markers van een positie.`]}),`\n`,_jsx(Heading,{level:`2`,id:`foutresponsen`,children:`Foutresponsen`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Beschrijving`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`biomarker_ids`}),` is leeg of bevat geen gehele getallen, de set faalt voor de closure-validatie (`,_jsx(_components.code,{children:`validation.failures`}),`), voegt een biomarker toe waarvoor Aniva geen prijs heeft vastgesteld (`,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`), bevat een afgeschermde biomarker die door geen enkele positie in de set wordt gedekt (`,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),`), of bij een capillaire bloedafname passen de biomarkers niet in hun microtainers.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Forbidden — ontbrekende scope of afspraak buiten de toegangscontext.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Afspraak of een of meer biomarkers niet gevonden.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`409`})}),_jsx(_components.td,{children:`Conflict — biomarkers kunnen niet worden gewijzigd nadat de bloedafname is bevestigd.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Interne serverfout.`})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Individuele biomarkers toevoegen","description":"Voeg individuele biomarkers toe aan een afspraak","api":"PATCH https://anivahealth.com/api/v1/appointments/{id}/biomarkers","href":"/nl/api/appointments/add-individual-biomarkers"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,em:`em`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Table,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Voeg een of meer individuele biomarkers toe aan een afspraak als à-la-cartetests, buiten een\nvooraf samengesteld panel. Routeringsbeslissingen worden verderop genomen door de bestellogistiek-pipeline op basis\nvan de mappings per lab van elke biomarker.`}),`\n`,_jsxs(_components.p,{children:[`De resulterende set wordt synchroon gevalideerd aan de hand van de closure-regels van elk lab. Sommige biomarkers\nkun je alleen verkrijgen door ze samen met andere te bestellen — een LDL/HDL-ratio wordt bijvoorbeeld\ngeleverd door een bestelling die ook LDL en HDL oplevert, dus alleen de ratio aanvragen is geen\ncoherente bestelling. (Op basis van diezelfde componenten wordt ook de `,_jsx(_components.em,{children:`prijs`}),` van de ratio berekend — zie het `,_jsx(_components.code,{children:`pricing`}),`-\noverzicht bij `,_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers weergeven`}),`.) Als de set niet correct kan worden\nbesteld, geeft de aanroep `,_jsx(_components.code,{children:`400`}),` terug met een `,_jsx(_components.code,{children:`validation`}),`-payload en `,_jsx(_components.strong,{children:`wordt er niets opgeslagen`}),`, zodat je\nproefondervindelijk tot een geldige set kunt komen:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45] }`}),` (alleen LDL/HDL-ratio) → `,_jsx(_components.code,{children:`400`}),`;\n`,_jsx(_components.code,{children:`validation.failures[].fix_options[].add_biomarkers`}),` vermeldt LDL en HDL.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`PATCH … { \"biomarker_ids\": [45, 43, 42] }`}),` (ratio + LDL + HDL) → `,_jsx(_components.code,{children:`200`}),`.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[`Dezelfde lus geldt voor biomarkers die Aniva alleen binnen een positie verkoopt: vraag je er een los aan, dan geeft de aanroep\n`,_jsx(_components.code,{children:`400`}),` terug met `,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),` en de posities die deze verkopen. Zie\n`,_jsx(_components.a,{href:`/nl/concepts/pricing`,children:`Prijzen`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers weergeven`}),` vermeldt sommige biomarkers als `,_jsx(_components.code,{children:`price_cents: null`}),`.\nDeze biomarkers zijn `,_jsx(_components.strong,{children:`niet gecureerd`}),`: Aniva heeft er geen prijs voor vastgesteld. Als je er een toevoegt, geeft de aanroep\n`,_jsx(_components.code,{children:`400`}),` terug met `,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`. Geen enkele andere biomarker lost deze fout op, omdat `,_jsx(_components.code,{children:`null`}),`\nbetekent dat je geen prijs hebt om de marker voor af te nemen. Kitmarkers zijn de uitzondering. Koppel het panel\ndat de kit is, en de bijbehorende markers komen mee met het panel. De aanroep accepteert ook een bijbehorende marker die je toevoegt aan\neen afspraak die dat panel al bevat.`]}),`\n`,_jsxs(_components.p,{children:[`Bij een capillaire bloedafname (`,_jsx(_components.code,{children:`draw_method: capillary`}),`) wordt de bloedafname verdeeld over microtainers. Panels gaan eerst, in\nvolgorde van boeking. Individuele biomarkers vullen daarna de vrije ruimte in de microtainers van de panels. Als ze\nmeer ruimte nodig hebben, openen ze nieuwe microtainers. We verdelen ze gelijkmatig. Elke microtainer bevat maximaal\n150 µl aan individuele biomarkers. Een biomarker die in een eigen microtainer meer dan 150 µl nodig heeft, past\nnooit, en een biomarker zonder gecureerd volume ook niet. Als de resulterende set deze regel overtreedt,\ngeeft de aanroep `,_jsx(_components.code,{children:`400`}),` terug met een `,_jsx(_components.code,{children:`error`}),`-melding en wordt er niets opgeslagen.`]}),`\n`,_jsx(_components.p,{children:`Deze aanroep is idempotent: biomarkers die al bij de afspraak staan, blijven behouden.`}),`\n`,_jsxs(_components.p,{children:[`Vereist de scopes `,_jsx(_components.code,{children:`appointments_schedule`}),` en `,_jsx(_components.code,{children:`schedule_appointments_with_individual_biomarker_selection`}),`.`]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Biomarkers kunnen niet worden toegevoegd nadat je `,_jsx(_components.a,{href:`/nl/api/appointments/confirm-blood-draw`,children:`Bloedafname\nbevestigen`}),` hebt aangeroepen. Een poging om een bevestigde afspraak te wijzigen geeft\n`,_jsx(_components.code,{children:`409 Conflict`}),` terug.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`verzoek`,children:`Verzoek`}),`\n`,_jsx(Heading,{level:`3`,id:`padparameters`,children:`Padparameters`}),`\n`,_jsx(ParamField,{path:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`Unieke identifier (UUID) van de afspraak.`})}),`\n`,_jsx(Heading,{level:`3`,id:`bodyparameters`,children:`Bodyparameters`}),`\n`,_jsx(ParamField,{body:`biomarker_ids`,type:`number[]`,required:true,id:`param-biomarker-ids`,children:_jsxs(_components.p,{children:[`Array van biomarker-ID’s om te koppelen. Moet ten minste één item bevatten. Gebruik `,_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers\nweergeven`}),` om ID’s te vinden.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`respons`,children:`Respons`}),`\n`,_jsxs(_components.p,{children:[`Bij succes geeft de API `,_jsx(_components.code,{children:`200 OK`}),` terug als bevestiging dat de biomarkers zijn gekoppeld.`]}),`\n`,_jsx(ResponseField,{name:`success`,type:`boolean`,id:`param-success`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` wanneer de biomarkers met succes aan de afspraak zijn toegevoegd.`]})}),`\n`,_jsxs(Heading,{level:`3`,id:`een-400-lezen`,children:[`Een `,_jsx(_components.code,{children:`400`}),` lezen`]}),`\n`,_jsxs(_components.p,{children:[`Elke `,_jsx(_components.code,{children:`400`}),` voor closure-validatie of catalogus bevat een zin in `,_jsx(_components.code,{children:`message`}),`. Een `,_jsx(_components.code,{children:`400`}),` voor bodyvalidatie of\nmicrotainers bevat alleen `,_jsx(_components.code,{children:`error`}),`. Vertak op `,_jsx(_components.code,{children:`error`}),`. Bij een\nfout in de closure-validatie is `,_jsx(_components.code,{children:`error`}),` een zin. Bij een catalogusfout is `,_jsx(_components.code,{children:`error`}),` een machinecode:\n`,_jsx(_components.code,{children:`biomarker_not_priced`}),` of `,_jsx(_components.code,{children:`biomarker_requires_position`}),`.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Closure-validatie`}),` — de set kan bij geen enkel lab correct worden besteld:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`validation.failures[]`}),` — alleen aanwezig bij fouten in de closure-validatie (ontbreekt bij gewone\nbodyvalidatiefouten). Eén item per biomarkergroep die geen enkel lab kan leveren, met de\n`,_jsx(_components.code,{children:`biomarker_ids`}),` die mislukten en `,_jsx(_components.code,{children:`fix_options[]`}),`, met de kleinste optie eerst. De\n`,_jsx(_components.code,{children:`add_biomarkers`}),` (`,_jsx(_components.code,{children:`{ id, name }`}),`) van elke optie is een set die je VOLLEDIG toevoegt — behoud je oorspronkelijke selectie, voeg deze toe en\nprobeer het opnieuw. Een lege `,_jsx(_components.code,{children:`fix_options`}),` betekent dat iets toevoegen niet helpt; verwijder in plaats daarvan de biomarker.`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Biomarker zonder prijs`}),` — Aniva heeft geen prijs vastgesteld voor deze biomarker. `,_jsx(_components.a,{href:`/nl/api/biomarkers/list-biomarkers`,children:`Biomarkers\nweergeven`}),` vermeldt deze als `,_jsx(_components.code,{children:`price_cents: null`}),`, of laat deze weg als het\neen ratio is met een component zonder prijs. `,_jsx(_components.code,{children:`error`}),` is `,_jsx(_components.code,{children:`biomarker_not_priced`}),` en `,_jsx(_components.code,{children:`biomarker_id`}),` noemt\nde marker. Geen enkele andere biomarker lost deze fout op, dus verwijder de biomarker. Twee voorwaarden maken een\nbiomarker bestelbaar: een lab waarnaar Aniva kan routeren moet deze leveren `,_jsx(_components.strong,{children:`en`}),` de Aniva-catalogus moet er een prijs voor\nbevatten.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Afgeschermde biomarker`}),` — een biomarker die alleen binnen een positie wordt verkocht, zonder dekkende positie in de\nset. `,_jsx(_components.code,{children:`error`}),` is `,_jsx(_components.code,{children:`biomarker_requires_position`}),`, `,_jsx(_components.code,{children:`biomarker_id`}),` noemt de marker en `,_jsx(_components.code,{children:`positions[]`}),`\nvermeldt elke positie die deze verkoopt, goedkoopste eerst. Voeg elke biomarker van een daarvan toe. Zie\n`,_jsx(_components.a,{href:`/nl/concepts/pricing`,children:`Prijzen`}),` voor het model en `,_jsx(_components.code,{children:`pricing.positions`}),` bij `,_jsx(_components.a,{href:`/nl/api/biomarkers/get-biomarker`,children:`Biomarker\nophalen`}),` voor de volledige set markers van een positie.`]}),`\n`,_jsx(Heading,{level:`2`,id:`foutresponsen`,children:`Foutresponsen`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Beschrijving`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`biomarker_ids`}),` is leeg of bevat geen gehele getallen, de set faalt voor de closure-validatie (`,_jsx(_components.code,{children:`validation.failures`}),`), voegt een biomarker toe waarvoor Aniva geen prijs heeft vastgesteld (`,_jsx(_components.code,{children:`error: \"biomarker_not_priced\"`}),`), bevat een afgeschermde biomarker die door geen enkele positie in de set wordt gedekt (`,_jsx(_components.code,{children:`error: \"biomarker_requires_position\"`}),`), of bij een capillaire bloedafname passen de biomarkers niet in hun microtainers.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Forbidden — ontbrekende scope of afspraak buiten de toegangscontext.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Afspraak of een of meer biomarkers niet gevonden.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`409`})}),_jsx(_components.td,{children:`Conflict — biomarkers kunnen niet worden gewijzigd nadat de bloedafname is bevestigd.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Interne serverfout.`})]})]})]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`7`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`7`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` PATCH`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a/biomarkers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'x-api-key: YOUR_API_KEY'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"biomarker_ids\": [45, 43, 42]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (closure validation)`,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"validation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"failures\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_ids\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`45`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fix_options\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"add_biomarkers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`43`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"LDL Cholesterol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`42`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"HDL Cholesterol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (biomarker Aniva has not priced)`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"biomarker_not_priced\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1465`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (biomarker sold only inside a position)`,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"biomarker_requires_position\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`Blood Count (extended)`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:`\\\\\"`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"biomarker_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`77`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"positions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Blood Count (extended)\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"price_cents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`460`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"retail_cents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`529`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400 (capillary, does not fit)`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them.\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`409`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Individual biomarkers cannot be modified after blood draw has been confirmed\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`404`,numberOfLines:`3`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Biomarkers not found: 99999\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Individuele biomarkers toevoegen","description":"Voeg individuele biomarkers toe aan een afspraak","api":"PATCH https://anivahealth.com/api/v1/appointments/{id}/biomarkers","href":"/nl/api/appointments/add-individual-biomarkers"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Verzoek","slug":"verzoek","depth":2,"children":[{"title":"Padparameters","slug":"padparameters","depth":3,"children":[]},{"title":"Bodyparameters","slug":"bodyparameters","depth":3,"children":[]}]},{"title":"Respons","slug":"respons","depth":2,"children":[{"title":"Een 400 lezen","slug":"een-400-lezen","depth":3,"children":[]}]},{"title":"Foutresponsen","slug":"foutresponsen","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> PATCH\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --url\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://anivahealth.com/api/v1/appointments/c9f3e2a1-7d6b-4c5e-b3a2-1f0e9d8c7b6a/biomarkers\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'x-api-key: YOUR_API_KEY'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"biomarker_ids\": [45, 43, 42]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (closure validation)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"19\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"LDL / HDL Ratio cannot be ordered cleanly with this set — add LDL Cholesterol / HDL Cholesterol (see validation.failures for every option).\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"validation\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"failures\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_ids\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">45\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"fix_options\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"add_biomarkers\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">43\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"LDL Cholesterol\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">42\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"HDL Cholesterol\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (biomarker Aniva has not priced)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"biomarker_not_priced\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Adrenaline, 24h urine carries no price in the catalog you can order from — GET /api/v1/biomarkers/1465 reports price_cents: null for it, and a marker with no price cannot be ordered.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1465\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (biomarker sold only inside a position)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"13\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"biomarker_requires_position\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Mean Platelet Volume (MPV) is not sold on its own — it comes only inside a position. Add every biomarker of one of the positions listed here; the cheapest is \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\">\\\"\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">Blood Count (extended)\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\">\\\"\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"biomarker_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">77\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"positions\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"3f1a8c22-64bd-4e57-8a90-1c2d3e4f5a6b\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Blood Count (extended)\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"price_cents\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">460\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"retail_cents\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">529\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400 (capillary, does not fit)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Some individual biomarkers need more than 150 µl of one lab's microtainer. Remove some of them.\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"409","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Individual biomarkers cannot be modified after blood draw has been confirmed\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"404","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"error\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Biomarkers not found: 99999\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Individuele biomarkers toevoegen","path":"/api/v1/appointments/{id}/biomarkers","servers":[{"url":"https://anivahealth.com"}],"method":"patch","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"x-api-key":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"Unieke identifier (UUID) van de afspraak.","required":true}]}}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"biomarker_ids":[{"type":"array","items":[{"type":"number"}],"description":"Array van biomarker-ID’s om te koppelen. Moet ten minste één item bevatten. Gebruik Biomarkers weergeven om ID’s te vinden.","required":true}]}}],"examples":{"example":{"value":{"biomarker_ids":[123]}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"success":[{"type":"boolean","description":"`true` wanneer de biomarkers met succes aan de afspraak zijn toegevoegd."}]}}],"examples":{"example":{"value":{"success":true}}}}}},"deprecated":false}},"jsLinks":["/_mintlify/custom/anivahealth/5d0d870ff743f803/video-zoom.js"],"subdomain":"anivahealth","siteName":"Aniva API","title":"Individuele biomarkers toevoegen - Aniva API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api/appointments/add-individual-biomarkers","matchLevel":1},"de":{"href":"/de/api/appointments/add-individual-biomarkers","matchLevel":1},"ca":{"href":"/ca/api/appointments/add-individual-biomarkers","matchLevel":1},"cs":{"href":"/cs/api/appointments/add-individual-biomarkers","matchLevel":1},"da":{"href":"/da/api/appointments/add-individual-biomarkers","matchLevel":1},"es":{"href":"/es/api/appointments/add-individual-biomarkers","matchLevel":1},"fi":{"href":"/fi/api/appointments/add-individual-biomarkers","matchLevel":1},"fr":{"href":"/fr/api/appointments/add-individual-biomarkers","matchLevel":1},"hu":{"href":"/hu/api/appointments/add-individual-biomarkers","matchLevel":1},"it":{"href":"/it/api/appointments/add-individual-biomarkers","matchLevel":1},"lv":{"href":"/lv/api/appointments/add-individual-biomarkers","matchLevel":1},"nl":{"href":"/nl/api/appointments/add-individual-biomarkers","matchLevel":0},"no":{"href":"/no/api/appointments/add-individual-biomarkers","matchLevel":1},"pl":{"href":"/pl/api/appointments/add-individual-biomarkers","matchLevel":1},"pt":{"href":"/pt/api/appointments/add-individual-biomarkers","matchLevel":1},"ro":{"href":"/ro/api/appointments/add-individual-biomarkers","matchLevel
[...]
